#!/bin/sh
exec >>/tmp/postinst.out 2>&1
set -x

# Script begins
type bash
cd `dirname $0`
pwd
PATH=$PATH:.

# fix sudoers
#sed -i 's/^%sudo.*ALL:ALL.*/%sudo      ALL=(ALL) NOPASSWD: ALL/' /etc/sudoers

git config --global user.name "Someone" 
git config --global user.email mail@example.com

apt remove --purge exim4 sudo


# == add apt sources


# backports:
echo "deb http://ftp.debian.org/debian jessie-backports main" >> /etc/apt/sources.list


# saltstack:
wget -O - https://repo.saltstack.com/apt/debian/8/amd64/latest/SALTSTACK-GPG-KEY.pub | sudo apt-key add -
echo "deb http://repo.saltstack.com/apt/debian/8/amd64/latest jessie main" >> /etc/apt/sources.list


apt-get update

apt install -y linux-image-4.7.0-0.bpo.1-amd64 -t jessie-backports

apt install -y btrfs-tools=4.7.3-1~bpo8+1 

apt-get install -y salt-minion


# services

/usr/sbin/update-rc.d ntp disable
/usr/sbin/update-rc.d rsync disable
/usr/sbin/update-rc.d rdnssd disable


